import 'package:flutter/material.dart';

class StyledTextField extends StatelessWidget {
  final String labelText;
  final TextEditingController controller;
  final bool enabled;

  const StyledTextField({
    super.key,
    required this.labelText,
    required this.controller,
    this.enabled = true,
  });

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(vertical: 8.0),
      child: TextField(
        controller: controller,
        enabled: enabled,
        decoration: InputDecoration(
          labelText: labelText,
          border: const OutlineInputBorder(),
        ),
      ),
    );
  }
}
